gnutls_x509_crt_get_subject(3)

NAME
gnutls_x509_crt_get_subject - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject(gnutls_x509_crt_t cert, gnutls_x509_dn_t * dn);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_x509_dn_t * dn
    output variable with pointer to opaque DN.

DESCRIPTION
Return the Certificate's Subject DN as an opaque data type. You may use gnutls_x509_dn_get_rdn_ava() to decode the DN. Note that dn should be treated as constant. Because points into the cert object, you may not deallocate cert and continue to access dn.

RETURNS
Returns 0 on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.